# Method: alerts.batchDelete

- [HTTP request](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/batchDelete#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/batchDelete#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/batchDelete#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/batchDelete#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/batchDelete#body.BatchDeleteAlertsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/batchDelete#body.aspect)
- [Examples](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/batchDelete#examples)

Performs batch delete operation on alerts.

### HTTP request

`POST https://alertcenter.googleapis.com/v1beta1/alerts:batchDelete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customerId": string, "alertId": [ string ] } ``` |

| Fields ||
|---|---|
| `customerId` | `string` Optional. The unique identifier of the Google Workspace account of the customer the alerts are associated with. The `customerId` must have the initial "C" stripped (for example, `046psxkn`). Inferred from the caller identity if not provided. [Find your customer ID](https://support.google.com/cloudidentity/answer/10070793). |
| `alertId[]` | `string` Required. The list of alert IDs to delete. |

### Response body

Response to batch delete operation on alerts.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "successAlertIds": [ string ], "failedAlertStatus": { string: { object (`google.rpc.Status`) }, ... } } ``` |

| Fields ||
|---|---|
| `successAlertIds[]` | `string` The successful list of alert IDs. |
| `failedAlertStatus` | ``map (key: string, value: object (`google.rpc.Status`))`` The status details for each failed `alertId`. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.alerts`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).